<template>
    <AddSubCategory v-if="condition==='addSubCategory'" @sent="selectCondition"/>
    <SubCategoryView v-else-if="condition==='subCategoryView'" @sent="selectCondition" @edit="editCondition"/>
    <EditSubCategory v-else-if="condition==='subCategoryEdit'" :subCategory="info" @sent="selectCondition"/>
</template>

<script>
    import AddSubCategory from "./AddSubCategory";
    import EditSubCategory from "./EditSubCategory";
    import SubCategoryView from "./SubCategoryView";
    export default {
        data(){
            return {
                condition :'subCategoryView',
                info:'',
            };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='subCategoryEdit';
                this.info=object;
                //console.log(object);
            },
        },
        components:{AddSubCategory,EditSubCategory,SubCategoryView}
    }
</script>
